include:
  - common

# m2crypto workaround
# /usr/include/openssl/opensslconf.h:31: Error: CPP #error
# ""This openssl-devel package does not work your architecture?"".
# Use the -cpperraswarn option to continue swig processing.

{% if grains['os_family'] == 'RedHat' %}
m2crypto_swig_env:
  environ.setenv:
    - name: SWIG_FEATURES
    - value: -D__x86_64__
{% endif %}

virtualenv_manager:
  virtualenv.managed:
    - python: /usr/bin/python3
    - name: /home/{{ pillar['user'] }}/.virtualenvs/circle
    - requirements: /home/{{ pillar['user'] }}/circle/requirements/{{ pillar['deployment_type'] }}.txt
    - user: {{ pillar['user'] }}
    - cwd: /home/{{ pillar['user'] }}/circle/
    - no_chown: true
    - require:
      - git: gitrepo
      - virtualenv: virtualenv_install_first
      {% if grains['os_family'] == 'RedHat' %}
      - environ: m2crypto_swig_env
      {% endif %}

virtualenv_install_first:
  virtualenv.managed:
    - python: /usr/bin/python3
    - name: /home/{{ pillar['user'] }}/.virtualenvs/circle
    - requirements: /home/{{ pillar['user'] }}/circle/requirements/install_first.txt
    - user: {{ pillar['user'] }}
    - cwd: /home/{{ pillar['user'] }}/circle/
    - no_chown: true


/home/{{ pillar['user'] }}/.virtualenvs/circle/lib/python3.6/site-packages/simplesshkey/models.py:
  file.patch:
    - source: file:///home/{{ pillar['user'] }}/circle/requirements/simplesshkey.patch
    - strip: 5
    - require:
      - virtualenv: virtualenv_manager

salt://manager/files/syncdb.sh:
  cmd.script:
    - template: jinja
    - user: {{ pillar['user'] }}
    - group: {{ pillar['user'] }}
    - runas: {{ pillar['user'] }}
    - stateful: true
    - require:
      - virtualenv: virtualenv_manager

salt://manager/files/compile.sh:
  cmd.script:
    - template: jinja
    - user: {{ pillar['user'] }}
    - group: {{ pillar['user'] }}
    - runas: {{ pillar['user'] }}
    - stateful: true
    - require:
      - virtualenv: virtualenv_manager
