include:
  - common

virtualenv_vmdriver:
  virtualenv.managed:
    - python: /usr/bin/python3
    - name: /home/{{ pillar['user'] }}/.virtualenvs/vmdriver
    - requirements: /home/{{ pillar['user'] }}/vmdriver/requirements/{{ pillar['deployment_type'] }}.txt
    - user: {{ pillar['user'] }}
    - cwd: /home/{{ pillar['user'] }}/vmdriver
    - no_chown: true
    - require:
      - git: gitrepo_vmdriver
      - virtualenv: virtualenv_vmdriver_install_first

virtualenv_vmdriver_install_first:
  virtualenv.managed:
    - python: /usr/bin/python3
    - name: /home/{{ pillar['user'] }}/.virtualenvs/vmdriver
    - requirements: /home/{{ pillar['user'] }}/vmdriver/requirements/install_first.txt
    - user: {{ pillar['user'] }}
    - cwd: /home/{{ pillar['user'] }}/vmdriver
    - no_chown: true


{#
{% set libvirt_dir = "/usr/lib64/python2.7/site-packages/" if grains['os_family'] == 'RedHat' else "/usr/lib/python2.7/dist-packages/" %}

{% set targets = { 'libvirtmod_qemu.so': 'libvirtmod_qemu.x86_64-linux-gnu.so',
                   'libvirtmod.so': 'libvirtmod.x86_64-linux-gnu.so'
                 } if grains['os_family'] == 'Debian' else {} %}

{% for file in ("libvirtmod_qemu.so", "libvirtmod.so", "libvirt_qemu.py", "libvirt.py", "libvirt_qemu.pyc", "libvirt.pyc") %}
/home/{{ pillar['user'] }}/.virtualenvs/vmdriver/lib/python2.7/site-packages/{{ file }}:
  file.symlink:
    - target: {{ libvirt_dir + targets[file]|default(file) }}
    - require:
      - virtualenv: virtualenv_vmdriver
{% endfor %}
#}
